"""This module contains the v2 api related-urls for the workshops app"""

from rest_framework_extensions.routers import ExtendedSimpleRouter
from macrosurl import url

from . import views


router = ExtendedSimpleRouter()
router.register(
    r'workshops',
    views.WorkshopViewSet,
    base_name='workshop'
)


urlpatterns = [
    url(
        r'^workshops/:workshop_uuid/sessions/:session_uuid/results/:user_uuid/$',
        views.WorkshopTraineeScoreView.as_view(),
        name='workshop_results'
    ),
    url(
        r'^workshops/:workshop_uuid/sessions/:session_uuid/detailed_results/:user_uuid/$',
        views.WorkshopTraineeDetailedScoreView.as_view(),
        name='workshop_detailed_results'
    ),
] + router.urls
